<form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm"><div class="main-content pad">
    <div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">edit</i>
	                        </div>
						    <h4 class="card-title">
						        <span jhiTranslate="sisteminformasiakademikApp.kelas.home.createOrEditLabel">Kelas</span>
						    </h4>
							</div>
    
                <jhi-alert-error></jhi-alert-error>

    <div class="card-body">
                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.kelas.nama" for="field_nama">Nama</label>
                    <input type="text" class="form-control" name="nama" id="field_nama"
                           formControlName="nama"/>
                    <div *ngIf="editForm.get('nama')!.invalid && (editForm.get('nama')!.dirty || editForm.get('nama')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('nama')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.kelas.jenjang" for="field_jenjang">Jenjang</label>
                    <select class="form-control" name="jenjang" formControlName="jenjang" id="field_jenjang">
                        <option value="MA">{{ 'sisteminformasiakademikApp.Jenjang.MA' | translate }}</option>
                        <option value="MTS">{{ 'sisteminformasiakademikApp.Jenjang.MTS' | translate }}</option>
                        <option value="MI">{{ 'sisteminformasiakademikApp.Jenjang.MI' | translate }}</option>
                        <option value="TK">{{ 'sisteminformasiakademikApp.Jenjang.TK' | translate }}</option>
                    </select>
                </div>
            </div>
            <div class="text-center"> 
                <button mat-raised-button type="button" id="cancel-save" class="btn btn-danger btn-fill"   (click)="previousState()">
                    <i class="material-icons">block</i>&nbsp;<span
				                    jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button mat-raised-button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill">
                     <i class="material-icons">save</i>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
            <br>
    </div>
    </div>
</div>
</div>
</div>
</form>
